Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## it.csi.mddtools.servicedef
Enum ChannelSecurityLevelEnum

    java.lang.Object
      java.lang.Enum<ChannelSecurityLevelEnum>
          it.csi.mddtools.servicedef.ChannelSecurityLevelEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ChannelSecurityLevelEnum>, org.eclipse.emf.common.util.Enumerator

    public enum ChannelSecurityLevelEnum

extends java.lang.Enum<ChannelSecurityLevelEnum>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Channel Security Level Enum', and utility methods for working with them.

See Also:
  `ServicedefPackage.getChannelSecurityLevelEnum()`

Enum Constant Summary
`C0` The 'C0' literal object
`C1` The 'C1' literal object
`C2` The 'C2' literal object

Field Summary
`static int` | `C0_VALUE` The 'C0' literal value
`static int` | `C1_VALUE` The 'C1' literal value
`static int` | `C2_VALUE` The 'C2' literal value
`static java.util.List<ChannelSecurityLevelEnum>` | `VALUES` A public read-only list of all the 'Channel Security Level Enum' enumerators

Method Summary
`static ChannelSecurityLevelEnum` | `get(int value)` Returns the 'Channel Security Level Enum' literal with the specified integer value
`static ChannelSecurityLevelEnum` | `get(java.lang.String literal)` Returns the 'Channel Security Level Enum' literal with the specified literal value
`static ChannelSecurityLevelEnum` | `getByName(java.lang.String name)` Returns the 'Channel Security Level Enum' literal with the specified name
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
`static ChannelSecurityLevelEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ChannelSecurityLevelEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### C0

    public static final ChannelSecurityLevelEnum C0

  The 'C0' literal object.

  See Also:
    `C0_VALUE`

### C1

    public static final ChannelSecurityLevelEnum C1

  The 'C1' literal object.

  See Also:
    `C1_VALUE`

### C2

    public static final ChannelSecurityLevelEnum C2

  The 'C2' literal object.

  See Also:
    `C2_VALUE`

Field Detail

### C0_VALUE

    public static final int C0_VALUE

  The 'C0' literal value.

  If the meaning of 'C0' literal object isn't clear, there really should be more of a description here...

  See Also:
    `C0`, Constant Field Values

### C1_VALUE

    public static final int C1_VALUE

  The 'C1' literal value.

  If the meaning of 'C1' literal object isn't clear, there really should be more of a description here...

  See Also:
    `C1`, Constant Field Values

### C2_VALUE

    public static final int C2_VALUE

  The 'C2' literal value.

  If the meaning of 'C2' literal object isn't clear, there really should be more of a description here...

  See Also:
    `C2`, Constant Field Values

### VALUES

    public static final java.util.List<ChannelSecurityLevelEnum> VALUES

  A public read-only list of all the 'Channel Security Level Enum' enumerators.

Method Detail

### values

    public static final ChannelSecurityLevelEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ChannelSecurityLevelEnum c : ChannelSecurityLevelEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ChannelSecurityLevelEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ChannelSecurityLevelEnum get(java.lang.String literal)

  Returns the 'Channel Security Level Enum' literal with the specified literal value.

### getByName

    public static ChannelSecurityLevelEnum getByName(java.lang.String name)

  Returns the 'Channel Security Level Enum' literal with the specified name.

### get

    public static ChannelSecurityLevelEnum get(int value)

  Returns the 'Channel Security Level Enum' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ChannelSecurityLevelEnum>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD